Package ru.bitel.oss.kernel.entity.common.bean

# Class EntityAttrPhone

java.lang.Object
ru.bitel.oss.kernel.entity.common.bean.EntityAttr
ru.bitel.oss.kernel.entity.common.bean.EntityAttrPhone

public class EntityAttrPhone extends EntityAttr
Атрибут/параметр - телефоны. Чтобы получить список телефонов, используйте методы `getContactList()`, `toPhoneList()` ()}, `toUnformattedPhoneList()` ()}.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `EntityAttrPhone.PhoneContact`
  Контакт - телефон + комментарий.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EntityAttrPhone()`
  ``
  `EntityAttrPhone(int entityId, int entitySpecAttrId)`
  ``
  `EntityAttrPhone(int entityId, int entitySpecAttrId, String phone, String comment)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EntityAttrPhone`
  `addContact(String phone, String comment)`
  Добавление телефона (контакта).
  `List<EntityAttrPhone.PhoneContact>`
  `getContactList()`
  Получение списка контактов.
  `String`
  `getData()`
  `static String`
  `phoneUnformatted(String phone)`
  Превращает форматированный телефон в набор цифр
  `void`
  `setContactList(List<EntityAttrPhone.PhoneContact> phoneList)`
  Установка списка контактов.
  `void`
  `setData(String data)`
  Для внутреннего использования.
  `List<String>`
  `toPhoneList()`
  Получение списка телефонов (в формате).
  `String`
  `toString()`
  `List<String>`
  `toUnformattedPhoneList()`
  Получение списка телефонов без форматирования.

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.EntityAttr

  `getEntityId, getEntitySpecAttrId, getType, getTypeName, newInstance, setEntityId, setEntitySpecAttrId, setType, setTypeName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EntityAttrPhone

    protected EntityAttrPhone()

  - ### EntityAttrPhone

    public EntityAttrPhone(int entityId, int entitySpecAttrId)
    Parameters:
      `entityId` - ID договора/объекта/сущности
      `entitySpecAttrId` - ID типа параметра/атрибута

  - ### EntityAttrPhone

    public EntityAttrPhone(int entityId, int entitySpecAttrId, String phone, String comment)

- ## Method Details

  - ### getContactList

    public List<EntityAttrPhone.PhoneContact> getContactList()
    Получение списка контактов.
    Returns:

  - ### setContactList

    public void setContactList(List<EntityAttrPhone.PhoneContact> phoneList)
    Установка списка контактов.
    Parameters:
      `phoneList` -

  - ### addContact

    public EntityAttrPhone addContact(String phone, String comment)
    Добавление телефона (контакта).
    Parameters:
      `phone` - номер телефона.
      `comment` - комментарий.
    Returns:
      this

  - ### getData

    public String getData()

  - ### setData

    public void setData(String data)
    Для внутреннего использования. Для добавления телефона используйте
    invalid reference

        #addPhone(String, String)

    или `setContactList(List)`
    Parameters:
      `value` -

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toPhoneList

    public List<String> toPhoneList()
    Получение списка телефонов (в формате).
    Returns:

  - ### toUnformattedPhoneList

    public List<String> toUnformattedPhoneList()
    Получение списка телефонов без форматирования.

  - ### phoneUnformatted

    public static String phoneUnformatted(String phone)
    Превращает форматированный телефон в набор цифр
    Parameters:
      `phone` - +7 (347) 2 924-823
    Returns:
      73472924823